> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Report > Returns information about a specified report ## OpenAPI ````json GET /api/v1/Reporting/reports/{id} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Reporting/reports/{id}": { "get": { "tags": [ "Reporting" ], "summary": "Get Report", "description": "Returns information about a specified report", "parameters": [ { "name": "id", "in": "path", "description": "Report ID", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.GetReportResult" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.GetReportResult": { "title": "GetReportResult", "required": [ "columns", "reportAvailability", "reportName", "reportType" ], "type": "object", "properties": { "reportName": { "type": "string", "description": "The report name" }, "reportDescription": { "type": "string", "description": "The report description", "nullable": true }, "reportAvailability": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportAvailability" }, "reportType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportType" }, "permissions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultPermission" }, "description": "The report permissions" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultColumn" }, "description": "The report columns" }, "filters": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultFilterWrapper" }, "subscriptions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultSubscription" }, "description": "The report subscriptions" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportAvailability": { "title": "ReportAvailability", "enum": [ "Public", "Private" ], "type": "string" }, "Configuration.Api.Models.v1.ReportType": { "title": "ReportType", "enum": [ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ], "type": "string" }, "Configuration.Api.Models.v1.ReportResultPermission": { "title": "ReportResultPermission", "required": [ "name", "type" ], "type": "object", "properties": { "type": { "$ref": "#/components/schemas/Common.PermissionType" }, "name": { "minLength": 1, "type": "string" }, "rights": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportRole" }, "description": "The rights granted to the member" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportResultColumn": { "title": "ReportResultColumn", "required": [ "columnName" ], "type": "object", "properties": { "columnName": { "type": "string", "description": "The name of the column" }, "sortindex": { "type": "integer", "description": "The sort index of the column", "format": "int32", "nullable": true }, "sortDescending": { "type": "boolean", "description": "Whether the column is sorted by descending values" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportResultFilterWrapper": { "title": "ReportResultFilterWrapper", "type": "object", "properties": { "fieldFilters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultFilter" }, "description": "The field filters of the report" }, "relatedDataSetFilters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter" }, "description": "The related data set filters of the report" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportResultSubscription": { "title": "ReportResultSubscription", "required": [ "email", "name", "scheduleInfo" ], "type": "object", "properties": { "name": { "type": "string", "description": "The name of the subscription" }, "recipients": { "type": "array", "items": { "type": "string" }, "description": "The recipients of the subscription" }, "scheduleInfo": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ScheduleDetail" }, "email": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultSubscriptionEmail" } }, "additionalProperties": false }, "Common.PermissionType": { "title": "PermissionType", "enum": [ "User", "Group" ], "type": "string" }, "Configuration.Api.Models.v1.ReportRole": { "title": "ReportRole", "enum": [ "ReportView", "ReportEdit", "ReportManagePermissions" ], "type": "string" }, "Configuration.Api.Models.v1.ReportResultFilter": { "title": "ReportResultFilter", "required": [ "field" ], "type": "object", "properties": { "field": { "type": "string", "description": "The filter field" }, "operator": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportFilterOperator" }, "criteria": { "type": "string", "description": "The filter criteria", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter": { "title": "ReportResultRelatedDataSetFilter", "required": [ "relatedDataSet" ], "type": "object", "properties": { "relatedDataSet": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportType" }, "linkedUsing": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DatasetLinkingRelationship" }, "operator": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportFilterOperator" }, "subfilters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportResultFilter" }, "description": "Subfilters of the related data set" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ScheduleDetail": { "title": "ScheduleDetail", "type": "object", "properties": { "scheduleId": { "type": "integer", "description": "The schedule ID", "format": "int32", "nullable": true }, "codeScheduleRecurrenceId": { "type": "integer", "description": "The schedule recurrence ID", "format": "int32" }, "codeMonthlyRecurrenceId": { "type": "integer", "description": "The monthly recurrence ID", "format": "int32" }, "scheduleRecurrence": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ScheduleRecurrence" }, "monthlyRecurrence": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MonthlyRecurrence" }, "dateStart": { "type": "string", "description": "The start date", "format": "date-time", "nullable": true }, "dateEnd": { "type": "string", "description": "The end date", "format": "date-time", "nullable": true }, "monthlyAbsoluteRecurrenceInterval": { "type": "integer", "description": "The monthly absolute recurrence interval", "format": "int32", "nullable": true }, "monthlyRelativeRecurrenceInterval": { "type": "integer", "description": "The monthly relative recurrence interval", "format": "int32", "nullable": true }, "weeklyRecurrenceInterval": { "type": "integer", "description": "The weekly recurrence interval", "format": "int32", "nullable": true }, "dailyRecurrenceInterval": { "type": "integer", "description": "The daily recurrence interval", "format": "int32", "nullable": true }, "timeZoneKey": { "type": "string", "description": "The time zone key of the schedule", "nullable": true }, "timeStart": { "type": "string", "description": "The start time", "format": "date-time", "nullable": true }, "timeEnd": { "type": "string", "description": "The ending time", "format": "date-time", "nullable": true }, "timeOnce": { "type": "string", "description": "The time if the schedule only executes once", "format": "date-time", "nullable": true }, "timeIntervalValue": { "type": "integer", "description": "The time interval value", "format": "int32", "nullable": true }, "timeIntervalType": { "type": "integer", "description": "The time interval type", "format": "int32" }, "daysOfWeek": { "type": "string", "description": "The days of the week scheduled", "nullable": true }, "dayOfMonth": { "type": "integer", "description": "The day of the month scheduled", "format": "int32", "nullable": true }, "weekOfMonth": { "type": "integer", "description": "The week of the month scheduled", "format": "int32", "nullable": true }, "dayOfWeek": { "type": "integer", "description": "The day of the week scheduled", "format": "int32", "nullable": true }, "isEnabled": { "type": "boolean", "description": "Whether the schedule is enabled" }, "isActive": { "type": "boolean", "description": "Whether the schedule is active" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportResultSubscriptionEmail": { "title": "ReportResultSubscriptionEmail", "type": "object", "properties": { "doNotSendIfReportIsEmpty": { "type": "boolean", "description": "If true, the report is not sent if empty" }, "reportFormat": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ReportSubscriptionFormat" }, "emailSubject": { "type": "string", "description": "The subject of the email", "nullable": true }, "emailBody": { "type": "string", "description": "The body of the email", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ReportFilterOperator": { "title": "ReportFilterOperator", "enum": [ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ], "type": "string" }, "Configuration.Api.Models.v1.DatasetLinkingRelationship": { "title": "DatasetLinkingRelationship", "enum": [ "AnyVersionOfThisTest", "CurrentVersionOfThisTest", "MatchingVersionOfTest", "PrimaryMetadataLinkOnTestDataset", "PrimaryMetadataLinkOnControlDataset", "RunByJob", "RunAsPartOfJobExecution", "CurrentVersionOfThisJob", "MatchingObject", "MatchingTable" ], "type": "string" }, "Configuration.Api.Models.v1.ScheduleRecurrence": { "title": "ScheduleRecurrence", "enum": [ "Daily", "Weekly", "Monthly" ], "type": "string" }, "Configuration.Api.Models.v1.MonthlyRecurrence": { "title": "MonthlyRecurrence", "enum": [ "Absolute", "Relative" ], "type": "string" }, "Configuration.Api.Models.v1.ReportSubscriptionFormat": { "title": "ReportSubscriptionFormat", "enum": [ "ExcelAttachment", "HtmlTable", "CsvAttachment" ], "type": "string" } } } } ````